API Docs
YMS API
Receipt
POST Search Receipts by Paging

POST Search Receipts by Paging

Introduction

Search for receipts with pagination support. Similar to the search API but returns results in pages, allowing you to specify page number and page size. Ideal for large result sets and UI table displays.

API Request

POST /receipt/search-by-paging

Body Request Parameters

{
  "currentPage": 0,
  "pageSize": 0,
  "sortingFields": [
    {
      "field": "string",
      "orderBy": "NONE"
    }
  ],
  "receiptId": "string",
  "receiptIdLike": "string",
  "receiptIds": [
    "string"
  ],
  "receiptStatus": "string",
  "receiptStatuses": [
    "string"
  ],
  "excludeStatuses": [
    "string"
  ],
  "receiptType": "REGULAR_RECEIPT",
  "poNo": "string",
  "poNoLike": "string",
  "orPoNo": "string",
  "orReferenceNo": "string",
  "orId": "string",
  "carrierId": "string",
  "carrierIds": [
    "string"
  ],
  "customerId": "string",
  "customerIds": [
    "string"
  ],
  "equipmentNo": "string",
  "equipmentNos": [
    "string"
  ],
  "appointmentTimePeriod": [
    "string"
  ],
  "appointmentId": "string",
  "sealNo": "string",
  "referenceNo": "string",
  "referenceNoLike": "string",
  "referenceNos": [
    "string"
  ],
  "keyword": "string",
  "appointmentIdIsNull": true,
  "inYardTimeIsNull": true,
  "templateReceiptKey": "string",
  "searchScenario": "string"
}

Request Parameters

NameLocationTypeRequiredDescription
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
bodybodyReceiptQuery (opens in a new tab)Nonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "list": [
      {
        "id": 0,
        "receiptId": "",
        "receiptStatus": "",
        "receiptType": "",
        "poNo": "",
        "carrierId": "",
        "customerId": "",
        "referenceNo": "",
        "equipmentType": "",
        "equipmentNo": "",
        "totalPalletQty": 0,
        "itemLines": [
          {
            "itemId": "",
            "itemName": "",
            "itemQty": "",
            "palletQty": "",
            "itemSpecDesc": "",
            "itemSpecName": "",
            "uomId": "",
            "qty": ""
          }
        ],
        "appointmentTime": "",
        "appointmentId": "",
        "sealNo": "",
        "dataChannel": "",
        "eventTime": "",
        "extraData": "",
        "carrierName": "",
        "customerName": "",
        "dynamicFieldValues": [
          {
            "entityId": "",
            "entityType": "",
            "fieldCode": "",
            "value": "",
            "fieldName": "",
            "longValue": "",
            "shortValue": ""
          }
        ],
        "proNos": [
          ""
        ],
        "invoicePros": [
          ""
        ],
        "doNos": [
          ""
        ],
        "tripNo": ""
      }
    ],
    "totalCount": 0,
    "currentPage": 0,
    "pageSize": 0,
    "totalPage": 0
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRPageResultReceiptView (opens in a new tab)